ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.59 by root, Sun Jan 1 06:28:45 2006 UTC vs.
Revision 1.62 by root, Wed Jan 4 05:12:04 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
4319 4320
4320MALLOC_TYPE=S 4321MALLOC_TYPE=S
4321 4322
4322support_addstrings=no 4323support_addstrings=no
4323support_frills=yes 4324support_frills=yes
4324support_inheritpixmap=no 4325support_inheritpixmap=yes
4325support_tinting=yes 4326support_tinting=yes
4326support_fading=yes 4327support_fading=yes
4327support_keepscrolling=yes 4328support_keepscrolling=yes
4328support_selectionscrolling=yes 4329support_selectionscrolling=yes
4329support_menubar=no 4330support_menubar=no
4337support_scroll_rxvt=yes 4338support_scroll_rxvt=yes
4338support_scroll_next=yes 4339support_scroll_next=yes
4339support_scroll_xterm=yes 4340support_scroll_xterm=yes
4340support_scroll_plain=yes 4341support_scroll_plain=yes
4341support_xim=yes 4342support_xim=yes
4342support_xpm=no 4343support_xpm=yes
4343support_xft=yes 4344support_xft=yes
4344support_unicode3=no 4345support_unicode3=no
4345support_combining=yes 4346support_combining=yes
4346support_8bitctrls=no 4347support_8bitctrls=no
4347support_iso14755=yes 4348support_iso14755=yes
4348support_styles=yes 4349support_styles=yes
4350support_perl=yes
4349codesets=all 4351codesets=all
4350 4352
4351 4353
4352if test "x$enable_shared" = xyes; then 4354if test "x$enable_shared" = xyes; then
4353 4355
4389 support_unicode3=no 4391 support_unicode3=no
4390 support_combining=no 4392 support_combining=no
4391 support_8bitctrls=no 4393 support_8bitctrls=no
4392 support_iso14755=no 4394 support_iso14755=no
4393 support_styles=no 4395 support_styles=no
4396 support_perl=no
4394 codesets= 4397 codesets=
4395 fi 4398 fi
4396 if test x$enableval = xyes; then 4399 if test x$enableval = xyes; then
4397 support_24bit=yes 4400 support_24bit=yes
4398 support_frills=yes 4401 support_frills=yes
4419 support_unicode3=yes 4422 support_unicode3=yes
4420 support_combining=yes 4423 support_combining=yes
4421 #support_8bitctrls=yes 4424 #support_8bitctrls=yes
4422 support_iso14755=yes 4425 support_iso14755=yes
4423 support_styles=yes 4426 support_styles=yes
4427 support_perl=yes
4424 codesets=all 4428 codesets=all
4425 fi 4429 fi
4426 4430
4427fi; 4431fi;
4428 4432
4541# Check whether --enable-xterm-scroll or --disable-xterm-scroll was given. 4545# Check whether --enable-xterm-scroll or --disable-xterm-scroll was given.
4542if test "${enable_xterm_scroll+set}" = set; then 4546if test "${enable_xterm_scroll+set}" = set; then
4543 enableval="$enable_xterm_scroll" 4547 enableval="$enable_xterm_scroll"
4544 if test x$enableval = xyes -o x$enableval = xno; then 4548 if test x$enableval = xyes -o x$enableval = xno; then
4545 support_scroll_xterm=$enableval 4549 support_scroll_xterm=$enableval
4550 fi
4551fi;
4552
4553# Check whether --enable-perl or --disable-perl was given.
4554if test "${enable_perl+set}" = set; then
4555 enableval="$enable_perl"
4556 if test x$enableval = xyes -o x$enableval = xno; then
4557 support_perl=$enableval
4546 fi 4558 fi
4547fi; 4559fi;
4548 4560
4549# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4561# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4550if test "${enable_plain_scroll+set}" = set; then 4562if test "${enable_plain_scroll+set}" = set; then
12641#define ENCODING_ZH_EXT 1 12653#define ENCODING_ZH_EXT 1
12642_ACEOF 12654_ACEOF
12643 ;; 12655 ;;
12644 esac 12656 esac
12645done 12657done
12658
12659IF_PERL=\#
12660if test x$support_perl = xyes; then
12661 # Extract the first word of "perl5", so it can be a program name with args.
12662set dummy perl5; ac_word=$2
12663echo "$as_me:$LINENO: checking for $ac_word" >&5
12664echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12665if test "${ac_cv_path_PERL+set}" = set; then
12666 echo $ECHO_N "(cached) $ECHO_C" >&6
12667else
12668 case $PERL in
12669 [\\/]* | ?:[\\/]*)
12670 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12671 ;;
12672 *)
12673 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12674for as_dir in $PATH
12675do
12676 IFS=$as_save_IFS
12677 test -z "$as_dir" && as_dir=.
12678 for ac_exec_ext in '' $ac_executable_extensions; do
12679 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12680 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12681 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12682 break 2
12683 fi
12684done
12685done
12686
12687 ;;
12688esac
12689fi
12690PERL=$ac_cv_path_PERL
12691
12692if test -n "$PERL"; then
12693 echo "$as_me:$LINENO: result: $PERL" >&5
12694echo "${ECHO_T}$PERL" >&6
12695else
12696 echo "$as_me:$LINENO: result: no" >&5
12697echo "${ECHO_T}no" >&6
12698fi
12699
12700 # Extract the first word of "perl", so it can be a program name with args.
12701set dummy perl; ac_word=$2
12702echo "$as_me:$LINENO: checking for $ac_word" >&5
12703echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12704if test "${ac_cv_path_PERL+set}" = set; then
12705 echo $ECHO_N "(cached) $ECHO_C" >&6
12706else
12707 case $PERL in
12708 [\\/]* | ?:[\\/]*)
12709 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12710 ;;
12711 *)
12712 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12713for as_dir in $PATH
12714do
12715 IFS=$as_save_IFS
12716 test -z "$as_dir" && as_dir=.
12717 for ac_exec_ext in '' $ac_executable_extensions; do
12718 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12719 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12720 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12721 break 2
12722 fi
12723done
12724done
12725
12726 ;;
12727esac
12728fi
12729PERL=$ac_cv_path_PERL
12730
12731if test -n "$PERL"; then
12732 echo "$as_me:$LINENO: result: $PERL" >&5
12733echo "${ECHO_T}$PERL" >&6
12734else
12735 echo "$as_me:$LINENO: result: no" >&5
12736echo "${ECHO_T}no" >&6
12737fi
12738
12739
12740 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12741echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12742 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12743
12744 save_CXXFLAGS="$CXXFLAGS"
12745 save_LIBS="$LIBS"
12746 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12747 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12748 cat >conftest.$ac_ext <<_ACEOF
12749/* confdefs.h. */
12750_ACEOF
12751cat confdefs.h >>conftest.$ac_ext
12752cat >>conftest.$ac_ext <<_ACEOF
12753/* end confdefs.h. */
12754
12755#include <EXTERN.h>
12756#include <perl.h>
12757#include <XSUB.h>
12758
12759int
12760main ()
12761{
12762
12763 PerlInterpreter *perl = perl_alloc ();
12764
12765 ;
12766 return 0;
12767}
12768_ACEOF
12769rm -f conftest.$ac_objext conftest$ac_exeext
12770if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12771 (eval $ac_link) 2>conftest.er1
12772 ac_status=$?
12773 grep -v '^ *+' conftest.er1 >conftest.err
12774 rm -f conftest.er1
12775 cat conftest.err >&5
12776 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12777 (exit $ac_status); } &&
12778 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12779 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12780 (eval $ac_try) 2>&5
12781 ac_status=$?
12782 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12783 (exit $ac_status); }; } &&
12784 { ac_try='test -s conftest$ac_exeext'
12785 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12786 (eval $ac_try) 2>&5
12787 ac_status=$?
12788 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12789 (exit $ac_status); }; }; then
12790 rxvt_perl_link=yes
12791else
12792 echo "$as_me: failed program was:" >&5
12793sed 's/^/| /' conftest.$ac_ext >&5
12794
12795rxvt_perl_link=no
12796fi
12797rm -f conftest.err conftest.$ac_objext \
12798 conftest$ac_exeext conftest.$ac_ext
12799 CXXFLAGS="$save_CXXFLAGS"
12800 LIBS="$save_LIBS"
12801
12802 if test x$rxvt_perl_link = xyes; then
12803 echo "$as_me:$LINENO: result: ok" >&5
12804echo "${ECHO_T}ok" >&6
12805
12806cat >>confdefs.h <<\_ACEOF
12807#define ENABLE_PERL 1
12808_ACEOF
12809
12810 IF_PERL=
12811 PERL_O=rxvtperl.o
12812 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12813 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12814 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12815 else
12816 support_perl=no
12817 echo "$as_me:$LINENO: result: no, unable to link" >&5
12818echo "${ECHO_T}no, unable to link" >&6
12819 fi
12820 else
12821 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12822echo "$as_me: error: no working perl found" >&2;}
12823 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12824 support_perl=no
12825 fi
12826fi
12827
12828
12829
12830
12831
12832
12646 12833
12647 12834
12648CFLAGS=${CFLAGS--O} 12835CFLAGS=${CFLAGS--O}
12649LDFLAGS=${LDFLAGS--O} 12836LDFLAGS=${LDFLAGS--O}
12650 12837
13431s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13618s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13432s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13619s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13433s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13620s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13434s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13621s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13435s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13622s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13623s,@PERL@,$PERL,;t t
13624s,@PERLLIB@,$PERLLIB,;t t
13625s,@PERLFLAGS@,$PERLFLAGS,;t t
13626s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13627s,@IF_PERL@,$IF_PERL,;t t
13628s,@PERL_O@,$PERL_O,;t t
13436s,@DEBUG@,$DEBUG,;t t 13629s,@DEBUG@,$DEBUG,;t t
13437s,@DINCLUDE@,$DINCLUDE,;t t 13630s,@DINCLUDE@,$DINCLUDE,;t t
13438s,@DLIB@,$DLIB,;t t 13631s,@DLIB@,$DLIB,;t t
13439s,@include_stdint_h@,$include_stdint_h,;t t 13632s,@include_stdint_h@,$include_stdint_h,;t t
13440s,@include_stdarg_h@,$include_stdarg_h,;t t 13633s,@include_stdarg_h@,$include_stdarg_h,;t t
13981 utmp file: $rxvt_cv_path_utmp 14174 utmp file: $rxvt_cv_path_utmp
13982 utmpx file: $rxvt_cv_path_utmpx 14175 utmpx file: $rxvt_cv_path_utmpx
13983 wtmp file: $rxvt_cv_path_wtmp 14176 wtmp file: $rxvt_cv_path_wtmp
13984 wtmpx file: $rxvt_cv_path_wtmpx 14177 wtmpx file: $rxvt_cv_path_wtmpx
13985 lastlog file: $rxvt_cv_path_lastlog 14178 lastlog file: $rxvt_cv_path_lastlog
13986 ttys/ttytab file: $rxvt_cv_path_ttytab" 14179 ttys/ttytab file: $rxvt_cv_path_ttytab
14180 embedded perl: $support_perl"
13987 echo 14181 echo
13988fi 14182fi
13989if test x$term != x; then 14183if test x$term != x; then
13990 echo " set TERM to: $term" 14184 echo " set TERM to: $term"
13991fi 14185fi

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines